Depending on pre‐built PacketEvents - retrooper/packetevents GitHub Wiki

How to depend on a pre-built PacketEvents jar

Step 1 - Download PacketEvents

Option 1: Download the latest stable release on Modrinth
Option 2: Download our latest development build on Jenkins

Step 2 - Get the Maven/Gradle dependency

Using Maven

Add this repository to your pom.xml

<repository>
    <id>codemc-releases</id>
    <url>https://repo.codemc.io/repository/maven-releases/</url>
</repository>

Add the packetevents dependency to your pom.xml.
Replace PLATFORM with the platform you are developing for. (For example spigot or bungeecord)

<dependency>
    <groupId>com.github.retrooper.packetevents</groupId>
    <artifactId>PLATFORM</artifactId>
    <version>2.2.1</version>
    <scope>provided</scope>
</dependency>

Using Gradle

Add this repository to your build.gradle

maven { url 'https://repo.codemc.io/repository/maven-releases/' }

Add the packetevents dependency to your build.gradle
Replace PLATFORM with the platform you are developing for. (For example spigot or bungeecord)

compileOnly 'com.github.retrooper.packetevents:PLATFORM:2.2.1'

Step 3 - Depend on PacketEvents in your plugin.yml

depend:
- packetevents
⚠️ **GitHub.com Fallback** ⚠️